Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
InterestWatcher Class Reference
Inheritance diagram for InterestWatcher:

## Public Member Functions
| __init__ (self, interestMgr, name, doneEvent=None, recurse=True, start=True, mustCollect=False, doCollectionMgr=None)
| destroy (self)
| getDoneEvent (self)
| getName (self)
| startCollect (self, mustCollect=False)
| stopCollect (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
dict | closingParent2zones = {}
| destroy = self.notify.warning

## Static Public Attributes
| notify = directNotify.newCategory('InterestWatcher')
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Member Functions
| _handleInterestCloseEvent (self, event, parentId, zoneIdList)
| _handleInterestOpenEvent (self, event)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _doCollectionMgr = doCollectionMgr
| _doneEvent = self._eGroup.getDoneEvent()
| _eGroup = EventGroup(name, doneEvent=doneEvent)
bool | _gotEvent = False
| _handleInterestCloseEvent
| _handleInterestOpenEvent
| _interestMgr = interestMgr
| _mustCollect = mustCollect
| _recurse = recurse
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    Object that observes all interests adds/removes over a period of time,
    and sends out an event when all of those interests have closed

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | interestMgr,
|  |  | name,
|  |  | doneEvent = None,
|  |  | recurse = True,
|  |  | start = True,
|  |  | mustCollect = False,
|  |  | doCollectionMgr = None )

## Member Function Documentation

## ◆ _handleInterestCloseEvent()

_handleInterestCloseEvent | ( |  | self,
|  |  | event,
|  |  | parentId,
|  |  | zoneIdList )
| protected

## ◆ _handleInterestOpenEvent()

_handleInterestOpenEvent | ( |  | self,
|  |  | event )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ getDoneEvent()

getDoneEvent | ( |  | self | ) |

## ◆ getName()

getName | ( |  | self | ) |

## ◆ startCollect()

startCollect | ( |  | self,
|  |  | mustCollect = False )

## ◆ stopCollect()

stopCollect | ( |  | self | ) |

## Member Data Documentation

## ◆ _doCollectionMgr

_doCollectionMgr = doCollectionMgr
| protected

## ◆ _doneEvent

_doneEvent = self._eGroup.getDoneEvent()
| protected

## ◆ _eGroup

_eGroup = EventGroup(name, doneEvent=doneEvent)
| protected

## ◆ _gotEvent

bool _gotEvent = False
| protected

## ◆ _handleInterestCloseEvent

_handleInterestCloseEvent
| protected

## ◆ _handleInterestOpenEvent

_handleInterestOpenEvent
| protected

## ◆ _interestMgr

_interestMgr = interestMgr
| protected

## ◆ _mustCollect

_mustCollect = mustCollect
| protected

## ◆ _recurse

_recurse = recurse
| protected

## ◆ closingParent2zones

dict closingParent2zones = {}

## ◆ destroy

destroy = self.notify.warning

## ◆ notify

notify = directNotify.newCategory('InterestWatcher')
| static